unit Memform;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, DB, DBTables, ExtCtrls, DBCtrls, Grids, DBGrids,
  MemTable;

type
  TForm1 = class(TForm)
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    DBNavigator1: TDBNavigator;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
    InMemoryTable : TInMemoryTable;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
var
  ATable: TTable;
begin
  ATable := TTable.Create( Self );
  ATable.DatabaseName := 'DBDEMOS';
  ATable.TableName := 'CUSTOMER.DB';
  ATable.Open;

  InMemoryTable := TInMemoryTable.CreateLike(
    ATable,
    'MyInMem',
    Self
  );

  DataSource1.DataSet := InMemoryTable;
  InMemoryTable.Open;

  ATable.Close;
  ATable.Free;

end;

end.
